<?php
class PdfMeNot
{
    // For information on the PdfMeNot API, see: http://pdfmenot.com/tools/

    private static $supportedFormats = array('pdf' => 'Portable Document Format File');
    
    public function __construct() {}
    
    public function setHeight()
    {
        $this->height = get_option('PdfMeNot_height');
    }
    
    public function setWidth()
    {
        $this->width = get_option('PdfMeNot_width');
    }
    
    public function setItem($item)
    {
        $this->item = $item;
    }

    public function validateEmbed()
    {        
        if (!is_numeric($this->height) && !empty($this->height)) {
            throw new Exception('Invalid height');
        }
        if (!is_numeric($this->width) && !empty($this->width)) {
            throw new Exception('Invalid width');
        }
        if (!$this->item instanceof Item) {
            throw new Exception('Invalid Item object');
        }
    }

    public function embed()
    {
        // Set the regular expression to match selected/supported formats.
        $supportedFormatRegEx = '/\.'.implode('|', array_keys(self::$supportedFormats)).'$/';
        
        // Iterate through the item's files.
        foreach($this->item->Files as $file) {
            
            // Embed only those files that end with the selected/supported formats.
            if (preg_match($supportedFormatRegEx, $file->archive_filename)) {
                
                // Set the document's absolute URL.
                // Note: file_download_uri($file) does not work here. It results 
                // in the PdfMeNot error: "that pdf url is not valid :("
                $documentUrl = WEB_FILES.'/'.$file->archive_filename;
?>
<h2 class="pdfmenot_embedded_document_header"><?php echo $file->original_filename; ?></h2>
<script type="text/javascript" 
        src="http://pdfmenot.com/embed/?url=<?php echo urlencode($documentUrl); ?>&width=<?php echo $this->width ?>&height=<?php echo $this->height ?>"> </script>
<?php
            }
        }
    }
}
?>
