<?php
require_once 'PdfMeNot.php';

add_plugin_hook('config_form', 'PdfMeNot_configForm');
add_plugin_hook('config', 'PdfMeNot_config');
add_plugin_hook('append_to_item_show', 'PdfMeNot_embed');

function PdfMeNot_configForm()
{
    $pdfMeNot = new PdfMeNot;
    $pdfMeNot->setHeight();
    $pdfMeNot->setWidth();
?>
<label for="PdfMeNot_height">The height of the PdfMeNot viewer, in pixels:</label>
<p><input type="text" name="PdfMeNot_height" value="<?php echo $pdfMeNot->height; ?>" size="5" /></p>

<label for="PdfMeNot_width">The width of the PdfMeNot viewer, in pixels:</label>
<p><input type="text" name="PdfMeNot_width" value="<?php echo $pdfMeNot->width; ?>" size="5" /></p>
<?php
}

function PdfMeNot_config($post)
{
    set_option('PdfMeNot_height', $post['PdfMeNot_height']);
    
    set_option('PdfMeNot_width', $post['PdfMeNot_width']);
}

function PdfMeNot_embed($item)
{
    try {
        $pdfMeNot = new PdfMeNot;
        
        // Set the data.
        $pdfMeNot->setHeight();
        $pdfMeNot->setWidth();
        $pdfMeNot->setItem($item);
        
        // Validate the data.
        $pdfMeNot->validateEmbed();
        
        // Embed PdfMeNot.
        $pdfMeNot->embed();
    
    // Display a hidden error message on the page if there is an error.
    } catch (Exception $e) {
?>
<!--
Warning: The PdfMeNot plugin must be configured properly before documents are 
displayed in the PdfMeNot viewer. Please go to the PdfMeNot plugin configuration 
page and enter the necessary information.

Error message: "<?php echo $e->getMessage(); ?>"
-->
<?php
    }
}?>
